/ / “LIBEAY32.dll”, “libpcre-1.dll” und “zlib1.dll” Fehler beim Verwenden von CMake - dll

"LIBEAY32.dll", "libpcre-1.dll" und "zlib1.dll" Fehler mit CMake - dll

Ich wollte OpenCV 3 unter Windows 10 mit MinGW-Compiler und Codeblock-IDE installieren. Aber wenn ich CMake verwende, um Bibliotheken zu erstellen und die Schaltfläche "Konfigurieren" zu drücken, werden diese drei Fehler angezeigt.

Antworten:

0 fĂĽr Antwort â„– 1

Open-Source-Softwarepakete hängen oft davon abandere Open-Source-Bibliotheken anstatt direkt die Windows- oder MacOS-geschützten APIs auf diesen Plattformen zu verwenden. Wenn Sie mit Open-Source-Software arbeiten, verwenden die meisten Benutzer "Paket-Manager", die automatisch alle Open-Source-Abhängigkeiten herunterladen und installieren. Es sieht so aus, als ob OpenCV Abhängigkeiten von Open-Source-Krypto- (EAY = OpenSSL), Regex- (PCRE = Perl-kompatiblen regulären Ausdrücken) und Komprimierungsbibliotheken (zlib) hat.

Wenn Sie dies wirklich von Hand tun möchten, können Sie alle diese Abhängigkeiten und ihre Abhängigkeiten usw. herunterladen und installieren.